<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity Shipment.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idshityp"
                                 baseTableName="shipment"
                                 constraintName="fk_shipment_shipment_type_id"
                                 referencedColumnNames="idshityp"
                                 referencedTableName="shipment_type"/>

        <addForeignKeyConstraint baseColumnNames="idshifro"
                                 baseTableName="shipment"
                                 constraintName="fk_shipment_ship_from_id"
                                 referencedColumnNames="idshifro"
                                 referencedTableName="ship_to"/>

        <addForeignKeyConstraint baseColumnNames="idshito"
                                 baseTableName="shipment"
                                 constraintName="fk_shipment_ship_to_id"
                                 referencedColumnNames="idshito"
                                 referencedTableName="ship_to"/>

        <addForeignKeyConstraint baseColumnNames="idposaddfro"
                                 baseTableName="shipment"
                                 constraintName="fk_shipment_address_from_id"
                                 referencedColumnNames="idposaddfro"
                                 referencedTableName="postal_address"/>

        <addForeignKeyConstraint baseColumnNames="idposaddto"
                                 baseTableName="shipment"
                                 constraintName="fk_shipment_address_to_id"
                                 referencedColumnNames="idposaddto"
                                 referencedTableName="postal_address"/>

    </changeSet>
</databaseChangeLog>
